## sqlite3 3.2.1-3

=== debian/changelog ===
sqlite3 (3.2.1-3) unstable; urgency=low

  * Fixed: NB#36724

 -- Pekka Marjola <pekka.marjola@nokia.com>  Fri, 22 Sep 2006 14:25:52 +0300

sqlite3 (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Rottmann <rotty@debian.org>  Sat,  2 Apr 2005 02:41:15 +0200

sqlite3 (3.1.6-1) unstable; urgency=high

  * New upstream release.
  * Fixes two database corruption bugs (in 3.1.4 and 3.1.6), hence urgency
    high.

 -- Andreas Rottmann <rotty@debian.org>  Thu, 17 Mar 2005 20:00:16 +0100

sqlite3 (3.1.3-1) unstable; urgency=low

  * New upstream release.
  * Now building with automake1.9 and against libreadline5-dev.

 -- Andreas Rottmann <rotty@debian.org>  Wed, 16 Feb 2005 17:04:19 +0100

sqlite3 (3.0.8-3) unstable; urgency=medium

  * Fix threadsafe enabling, now works through configure option (closes:
    #285913).
  * Medium urgency to get this fix into sarge.

 -- Andreas Rottmann <rotty@debian.org>  Sat,  1 Jan 2005 13:12:10 +0100

sqlite3 (3.0.8-2) unstable; urgency=low

  * libsqlite3-dev: Suggest sqlite3-doc instead of sqlite-doc (closes:
    #285771).
  * libsqlite3-0: Don't Pre-Depend on debconf (closes: #284976).
  * sqlite3-doc: Now comes with sqlite.gif and links to 
    http://sqlite.org/contrib instead of locally (closes: #285769).
  
 -- Andreas Rottmann <rotty@debian.org>  Thu, 16 Dec 2004 12:24:02 +0100
  

sqlite3 (3.0.8-1) unstable; urgency=low

  * Initial release of SQLite3 (closes: #272271, #282351).
    - Now packaged as a new source package, since SQLite 3 
      is incompatible (database- and API-wise) with SQLite 2.
    - Remove debian/lemon.html, this is now shipped by upstream in doc/.
    - Adapted manpage for 3.0 (thanks to Laszlo 'GCS' Boszormeny).
  
 -- Andreas Rottmann <rotty@debian.org>  Sun,  7 Nov 2004 13:49:52 +0100
