## sqlite3 3.6.14-1maemo1+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 15 May 2009 09:26:24 +0300

sqlite3 (3.6.14-1maemo1) stable; urgency=low

  * Upgrade to upstream 3.6.14
  * Fixes: NB#112414, Link sqlite command line tool with readline
  * Fixes: NB#111220, libsqlite3-dev missing static library file

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 13 May 2009 14:22:03 +0300

sqlite3 (3.6.13-1maemo2) stable; urgency=low

  * Fixed compilation in ARM env.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 04 May 2009 17:59:03 +0300
	

sqlite3 (3.6.13-1maemo1) stable; urgency=low

  * Upgrade to upstream 3.6.13
  * Enabled load extensions feature
	
 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 29 Apr 2009 16:19:03 +0300
	

sqlite3 (3.6.10-0maemo0) stable; urgency=low

  * Upgraded to upstream 3.6.10
  * Using tarball instead of uncompressed sources
  * Removed static libraries
  * F i x e s : N B # 93828 sqlite3 command line tool doesn't work in scratchbox

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  21 Jan 2009 14:56:03 +0300
	

sqlite3 (3.6.3-3maemo0) stable; urgency=low

  * Removed test file with unclear license
  * Updated package version to follow maemo style.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  4 Dec 2008 18:58:03 +0300
	

sqlite3 (3.6.3-2) stable; urgency=low

  * Updated debian/ to generate -dbg package of the library

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu,  2 Oct 2008 18:58:03 +0300

sqlite3 (3.6.3-1) stable; urgency=low

  * New upstream release.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Wed, 01 Oct 2008 18:00:00 +0300

sqlite3 (3.5.9-1) stable; urgency=low

  * New upstream release.

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Tue, 17 Jun 2008 18:00:00 +0300

sqlite3 (3.4.2-1build1) gutsy; urgency=low

  * Trigger rebuild for hppa.

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 02 Oct 2007 06:32:48 -0600

sqlite3 (3.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 20 Aug 2007 16:12:00 +0300

sqlite3 (3.4.1-1) unstable; urgency=low

  * New upstream release (closes: #436165).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 28 Jul 2007 08:51:35 +0300

sqlite3 (3.3.17-1) unstable; urgency=low

  * New upstream release.
  * Use minor version as well in sqlite3.pc (closes: #424235).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 17 May 2007 02:01:42 +0300

sqlite3 (3.3.16-1) unstable; urgency=medium

  * New upstream release with important bugfixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 19 Apr 2007 09:13:29 +0000

sqlite3 (3.3.15-1) unstable; urgency=low

  * New upstream release (closes: #419534).
  * Force enable extensions; not supposed to work on *BSD, but well...

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 17 Apr 2007 15:56:30 +0000

sqlite3 (3.3.14-1) unstable; urgency=low

  * New upstream release (closes: #406436). Accept Otavio's upload
    (closes: #397531).
  * Include all header files in -dev (closes: #404242), add missing image to
    -doc (closes: #368211).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 04 Apr 2007 17:57:08 +0000

sqlite3 (3.3.8-1.1) unstable; urgency=low

  * NMU
  * Revert PRAGMA table_info format change on a minor version release
    (closes: #397531)

 -- Otavio Salvador <otavio@debian.org>  Tue,  6 Mar 2007 08:53:43 -0300

sqlite3 (3.3.8-1) unstable; urgency=low

  * New upstream version.
  * Create lang_* files for documentation (closes: #310603).
  * Enable column metadata functions (closes: #375352).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 12 Oct 2006 21:55:37 +0000

sqlite3 (3.3.7-1) unstable; urgency=low

  * New upstream release (closes: #378247).
  * New maintainer with ACK from Tomas, close my own NMU fixes
    (closes: #339369, #364196, #361412, #352317).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue,  8 Aug 2006 04:51:14 +0200
