=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

so_version := 0

DEB_TAR_SRCDIR := sqlite-3.6.14
include /usr/share/cdbs/1/rules/tarball.mk

# Make sure libsqlite0 is built before packages depending on it
binary/sqlite3 binary/libsqlite3-dev :: binary/libsqlite3-$(so_version)

common-install-arch::
	install -d debian/tmp/usr/lib/sqlite3
	install -m 0664 debian/pkgIndex.tcl debian/tmp/usr/lib/sqlite3
#./libtool --mode=install install libtclsqlite3.la `pwd`/debian/tmp/usr/lib/sqlite3
#	install -d debian/tmp/usr/share/man/man1/
#	install -m 644 $(DEB_BUILDDIR)/sqlite3.1 debian/tmp/usr/share/man/man1

#install/sqlite3-doc::
#	doc/ >doc/lang.html

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.50
DEB_AUTO_UPDATE_AUTOMAKE = 1.9 # We don't use automake, but aclocal

DEB_CONFIGURE_EXTRA_FLAGS = --disable-tcl --enable-threadsafe --enable-dynamic-extensions --enable-readline --enable-static


DEB_BUILD_MAKE_TARGET = all
#DEB_BUILD_MAKE_TARGET = all doc
#DEB_MAKE_CHECK_TARGET = test

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_ALL_CHANGELOG = doc/changes.html

DEB_DH_MAKESHLIBS_ARGS := -V 

DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/

DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA

CFLAGS = -Wall -g
# Forcing this link to compile with --enable-load-extension
DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"

DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-0
