## sqlite3 3.6.14-1maemo3+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo3+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 04 Dec 2009 15:30:37 +0200

sqlite3 (3.6.14-1maemo3) stable; urgency=low

  * Fixed compilation flags. It wasn't using -O2
  * Fixes: NB#130604 - sqlite3 package are built without optimizations

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 23 Jul 2009 11:33:03 +0300

sqlite3 (3.6.14-1maemo2) stable; urgency=low

  * Incresed YYSTACKDEPTH to support more joins in queries.
  * Fixes: NB#108146, Parser overflow with more than 12 optional...

 -- Ivan Frade (frade) <ivan.frade@nokia.com>  Thu, 28 May 2009 12:33:03 +0300
