## sqlite3 3.6.14-1maemo4+0m5

=== debian/changelog ===
sqlite3 (3.6.14-1maemo4+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3.6.14-1maemo4+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Mon, 07 Jun 2010 19:14:50 +0300

sqlite3 (3.6.14-1maemo4) stable; urgency=low

  * Fixes: NB#138038 Sqlite's journal stored in fast flash
    Patch initially written by Chittibabu Theegala, reviewed by Maciej Blomberg
    and modified by Marc Ordinas I Llopis and Alban Crequy

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Wed, 05 May 2010 16:12:33 +0100
