=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Tomas Fasth <tomfa@debian.org>
-Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.8, autotools-dev, libreadline4-dev
-Standards-Version: 3.6.2
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: cdbs (>= 0.4.15), debhelper (>= 4.1.16), autoconf (>= 2.59), libtool (>= 1.5.2), automake1.9, autotools-dev, libreadline5-dev
+Standards-Version: 3.7.2
 
 Package: sqlite3
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libreadline5
 Suggests: sqlite3-doc
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
@@ -40,10 +40,25 @@
 Suggests: sqlite3-doc
 Section: libdevel
 Architecture: any
-Depends: libsqlite3-0 (= ${Source-Version}), libc6-dev
+Depends: libsqlite3-0 (= ${binary:Version}), libc6-dev
 Description: SQLite 3 development files
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
  access without running a separate RDBMS process.
  .
  This package contains the development files (headers, static libraries)
+
+Package: libsqlite3-0-dbg
+Suggests: sqlite3-doc
+Section: libdevel
+Architecture: any
+Depends: libsqlite3-0 (= ${binary:Version})
+Description: SQLite 3 development files and debugging symbols
+ SQLite is a C library that implements an SQL database engine. 
+ Programs that link with the SQLite library can have SQL database 
+ access without running a separate RDBMS process.
+ .
+ This package contains detached debugging symbols
+ .
+ Most people will not need this package.
+
