=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,8 @@
 
 DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
 
-CFLAGS = -Wall -g
 # Forcing this link to compile with --enable-load-extension
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"
+DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="-DYYSTACKDEPTH=500 $(DEB_OPT_FLAG)"
 
 DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-0
