## sqlite3 3.6.14-1maemo4+0m5+0cssu0+thumb0

=== debian/changelog ===
sqlite3 (3.6.14-1maemo4+0m5+0cssu0+thumb0) stable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wen, 03 Oct 2012 15:37:20 +0300
