=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: sqlite3
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, libreadline5
+Depends: ${shlibs:Depends}, libreadline5, kernel-feature-errata-430973-workaround [armel]
 Suggests: sqlite3-doc
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
@@ -30,7 +30,7 @@
 Package: libsqlite3-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: SQLite 3 shared library
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database
