=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
 DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/
 
-DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
+DEB_OPT_FLAG := -O2 -mthumb -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA
 
 # Forcing this link to compile with --enable-load-extension
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="-ldl"
