## sqlite3 3.7.2

=== debian/changelog ===
sqlite3 (3.7.2-1ubuntu0.1) maverick-proposed; urgency=low

  * debian/patches/21-688781-where-performance-regression.patch:
    Backport a fix for a performance regression relating to SQL queries 
    using the WHERE conditional (lp: #688781). Patch adapted from
    upstream commit: ece641eb89

 -- Sameer Morar <smorar@gmail.com>  Mon, 13 Dec 2010 18:01:14 +0200

sqlite3 (3.7.2-1) unstable; urgency=high

  * New upstream release (closes: #594010), fixing another database
    corruption, hence the urgency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 23 Aug 2010 15:16:19 +0000

sqlite3 (3.7.0.1-1) unstable; urgency=high

  * New upstream release (closes: #592573), high urgency due to fixing
    database corruption.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 13 Aug 2010 20:14:42 +0000

sqlite3 (3.7.0-1.1) unstable; urgency=high

  [ Iain Lane ]
  * Non-maintainer upload.
  * Backport fix from upstream bug 13f033c865 to fix performance
    regression introduced in 3.7.0-1. (Closes: #591298)

  [ Julien Cristau ]
  * High urgency upload for RC bugfix.

 -- Julien Cristau <jcristau@debian.org>  Sat, 07 Aug 2010 16:55:51 -0400

sqlite3 (3.7.0-1) unstable; urgency=low

  * New major upstream version (closes: #590232).
  * Remove backported fix, 30-fix-default-values-crash.patch of #575276 ; this
    release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 25 Jul 2010 07:49:27 +0000

sqlite3 (3.6.23.1-4) unstable; urgency=low

  * Clean up my mess with src/os_unix.c for proper Hurd build.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 30 May 2010 16:15:40 +0000

sqlite3 (3.6.23.1-3) unstable; urgency=low

  * Update 20-hurd-locking-style.patch to make it build on Hurd again;
    thanks to Pino Toscano for fixing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 May 2010 15:31:30 +0000

sqlite3 (3.6.23.1-2) unstable; urgency=low

  * Enable unlock notify API (closes: #579266).
  * Backport fix of 'INSERT INTO tbl DEFAULT VALUES' (closes: #575276).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 05 May 2010 18:58:47 +0000

sqlite3 (3.6.23.1-1) unstable; urgency=low

  * New upstream release.
  * Clean up patch handling; run aclocal to prevent libtool version mismatch
    errors.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 04 Apr 2010 07:29:35 +0000

sqlite3 (3.6.23-1) unstable; urgency=low

  * New upstream release, update patches accordingly.
  * Enable soundex support (closes: #528016).
  * Switch to 3.0 (quilt) source format, ship documentation as separate
    tarball.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 13 Mar 2010 16:48:08 +0000

sqlite3 (3.6.22-1) unstable; urgency=low

  * New upstream release (closes: #568061).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 02 Feb 2010 18:44:27 +0000

sqlite3 (3.6.21-2) unstable; urgency=medium

  * Run autoreconf to prevent FTBFS with new libtool (closes: #560660).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 11 Dec 2009 14:34:09 +0000

sqlite3 (3.6.21-1) unstable; urgency=medium

  * New upstream release, SQLITE_SECURE_DELETE compile-time option fixed to
    make sure that content is deleted even when the truncate optimization
    applies (closes: #555955).
  * Add 11-manpage-refers-to-sqlite3-doc.patch patch to fix manpage to refer
    to sqlite3-doc (closes: #560132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Dec 2009 14:55:17 +0000

sqlite3 (3.6.20-1) unstable; urgency=low

  * New upstream release (may fix #546599).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 10 Nov 2009 22:48:13 +0000

sqlite3 (3.6.19-3) unstable; urgency=low

  * Build conflict with tcl8.4{,-dev}, SQLite3 picks up the wrong version
    despite of specifying tcl8.5 to use (closes: #552304).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 26 Oct 2009 05:58:04 +0000

sqlite3 (3.6.19-2) unstable; urgency=low

  * Compile with secure deletion option enabled (closes: #551968).
  * Make libsqlite3-tcl build with tcl8.5 (closes: #547445).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 23 Oct 2009 07:45:19 +0000

sqlite3 (3.6.19-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 18 Oct 2009 07:11:18 +0000

sqlite3 (3.6.18-1) unstable; urgency=low

  * New upstream release.
  * Change readline build dependency to plain libreadline-dev (version 6 ATM)
    and standards-version to 3.8.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 Sep 2009 14:47:20 +0000

sqlite3 (3.6.17-2) unstable; urgency=low

  * Reintroduce libtool and auto{conf,make} updates of CDBS
    (closes: #541684, #541731), patches modify configure.ac and Makefile.in .
  * Update patches to match this upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 16 Aug 2009 15:55:30 +0000

sqlite3 (3.6.17-1) unstable; urgency=low

  * New upstream release.
  * Don't ask CDBS to run libtool, autoconf nor automake (closes: #541413), no
    need to build-depend on these tools anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 15 Aug 2009 04:23:42 +0000

sqlite3 (3.6.16-1) unstable; urgency=low

  * New upstream release (closes: #536661).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 10 Jul 2009 22:44:19 +0000

sqlite3 (3.6.14.2-1) unstable; urgency=low

  * New upstream release. Disable ICU support, it causes more trouble than
    good.
  * Add 20-hurd-locking-style.patch for proper locking on Hurd
    (closes: #529734).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 31 May 2009 16:28:06 +0000

sqlite3 (3.6.13-1) unstable; urgency=low

  * New upstream release (closes: #524617), fixing segfault when table
    contains default value (closes: 524166).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 19 Apr 2009 07:18:50 +0000

sqlite3 (3.6.12-1) unstable; urgency=low

  * New upstream release, remove 10-install-libsqlite3-first.patch as fixed
    upstream in a different way.
  * Remove generated files in clean target.


