## sqlite3 3.7.3

=== debian/changelog ===
sqlite3 (3.7.3-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as uploader
  * use dh-autoreconf to solve autoreconfe problems
  * use automake 1.10 by setting DEB_AUTO_UPDATE_AUTOMAKE and
    DEB_AUTO_UPDATE_ACLOCAL

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 03 Nov 2010 14:53:35 +0100

sqlite3 (3.7.3-1) unstable; urgency=high

  * New upstream release (closes: #591298), high urgency due to fixing a RC
    performance regression.
  * Updated manpage (closes: #598318).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 13 Oct 2010 22:26:03 +0200
