## sqlite3 3.7.4

=== debian/changelog ===
sqlite3 (3.7.4-2ubuntu5) natty; urgency=low

  * No-change rebuild against fixed pkgbinarymangler, to get correct
    multiarch-safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 01:14:09 -0700

sqlite3 (3.7.4-2ubuntu4) natty; urgency=low

  * DEB_CONFIGURE_EXTRA_FLAGS +=, so that we /really/ build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 05:07:51 +0000

sqlite3 (3.7.4-2ubuntu3) natty; urgency=low

  * Rebuild for final multiarch paths.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Mar 2011 13:48:19 -0700

sqlite3 (3.7.4-2ubuntu2) natty; urgency=low

  * debian/rules: don't use DEB_OPT_FLAG, which seems to have never been
    officially supported by cdbs and has now gone away; set CFLAGS directly
    instead.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Feb 2011 18:56:59 -0800

sqlite3 (3.7.4-2ubuntu1) natty; urgency=low

  [ Peter Pearse ]
  * Patch to build both build host & target lemon compilers when cross
    building

  [ Steve Langasek ]
  * Refine the patch for upstreamability: always use $(BEXE) for build and
    $(TEXE) for target binaries, and only build a lemon binary for the
    target upon explicit request.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Feb 2011 08:23:29 -0800

sqlite3 (3.7.4-2) unstable; urgency=low

  * Set shlibs back to 3.7.3, based on the work of Julien Cristau.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Dec 2010 22:47:54 +0100

sqlite3 (3.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch for new upstream source version numbers.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 09 Dec 2010 20:07:00 +0100
