=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,16 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 #include /usr/share/cdbs/1/rules/simple-patchsys.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS = --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --libexecdir=\$${libdir}/sqlite3
+
+ifeq ($(cdbs_crossbuild),)
+      DEB_MAKE_EXTRA_ARGS += CROSS_BUILDING=no
+else
+      DEB_MAKE_EXTRA_ARGS += CROSS_BUILDING=yes
+      DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS=-L/usr/$(DEB_HOST_GNU_TYPE)/lib 
+endif
 
 so_version := 0
 
@@ -39,25 +47,28 @@
 
 DEB_AUTO_UPDATE_LIBTOOL = pre
 DEB_AUTO_UPDATE_AUTOCONF = 2.50
-DEB_AUTO_UPDATE_ACLOCAL = 1.10
-DEB_AUTO_UPDATE_AUTOMAKE = 1.10
+DEB_AUTO_UPDATE_ACLOCAL = 1.11
+DEB_AUTO_UPDATE_AUTOMAKE = 1.11
 
 #DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-licui18n -licuuc"
-DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+ifeq ($(cdbs_crossbuild),)
+       DEB_CONFIGURE_EXTRA_FLAGS += --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+else
+       DEB_CONFIGURE_EXTRA_FLAGS += --with-tcl=/usr/$(DEB_HOST_GNU_TYPE)/lib/tcl8.5 --enable-threadsafe --enable-load-extension
+endif
 
-DEB_MAKE_BUILD_TARGET = all libtclsqlite3.la doc
+DEB_MAKE_BUILD_TARGET = all libtclsqlite3.la doc lemon
 #DEB_MAKE_CHECK_TARGET = test
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
 DEB_INSTALL_CHANGELOGS_ALL = www/changes.html
 
-DEB_DH_MAKESHLIBS_ARGS := -V -X"libtclsqlite3.so*"
+DEB_DH_MAKESHLIBS_ARGS := -V'libsqlite3-0 (>= 3.7.3)' -X"libtclsqlite3.so*"
 
 DEB_SHLIBDEPS_LIBRARY_sqlite := libsqlite3-$(so_version)
-DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/
+DEB_SHLIBDEPS_INCLUDE_sqlite := debian/libsqlite3-$(so_version)/usr/lib/$(DEB_HOST_MULTIARCH)
 
-#DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_ENABLE_ICU=1
-DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY
+CFLAGS += -O2 -fno-strict-aliasing -DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 -DSQLITE_ENABLE_UNLOCK_NOTIFY
 
 DEB_DH_STRIP_ARGS := --dbg-package=libsqlite3-$(so_version)-dbg
