## sqlite3 3.7.5

=== debian/changelog ===
sqlite3 (3.7.5-1) unstable; urgency=low

  * New upstream release.
  * Rework package to use debhelper instead of cdbs (closes: #611956).
  * Use a symbols file (closes: #588456, #609946).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 09 Feb 2011 19:01:07 +0100
