=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: quilt, cdbs (>= 0.4.90ubuntu8), debhelper (>= 5),
-	autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev,
-	chrpath, libreadline-dev, tcl8.5-dev,
-	dpkg-dev (>= 1.16.0~ubuntu4)
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: debhelper (>= 7), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev
 Standards-Version: 3.9.1
 
@@ -29,7 +25,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: sqlite3-doc
-Multi-Arch: foreign
 Description: A command line interface for SQLite 3
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -53,7 +48,6 @@
 Architecture: any
 Priority: extra
 Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
 Description: SQLite 3 debugging symbols
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database 
@@ -66,8 +60,6 @@
 Architecture: any
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Pre-Depends: multiarch-support
 Description: SQLite 3 shared library
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database
