=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

#export DH_VERBOSE=1

DESTDIR=`pwd`/debian/tmp

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
		echo "--enable-debug"; \
	else \
		echo ""; \
	fi`

ifeq ($(cdbs_crossbuild),)
	DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/lib/tcl8.5
else
	DEB_CONFIGURE_EXTRA_FLAGS = --with-tcl=/usr/$(DEB_HOST_GNU_TYPE)/lib/tcl8.5
endif

CFLAGS += -O2 -fno-strict-aliasing \
	-DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA \
	-DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 \
	-DSQLITE_ENABLE_UNLOCK_NOTIFY

configure: configure-stamp
configure-stamp:
	dh_testdir
	autoconf
	./configure --prefix=/usr --mandir="/usr/share/man" \
	  --with-tcl=/usr/lib/tcl8.5 --enable-threadsafe \
	  --enable-load-extension \
	  $(DDEBUG)

	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f configure-stamp build-stamp
	rm -f config.h pkgIndex.tcl
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR=$(DESTDIR)
	chrpath -d $(DESTDIR)/usr/bin/sqlite3
	chrpath -d $(DESTDIR)/usr/share/tcltk/tcl8.5/sqlite3/libtclsqlite3.so
	install -d $(DESTDIR)/usr/lib/sqlite3
	install -m 0664 libtclsqlite3.la $(DESTDIR)/usr/lib/sqlite3/
	install -d $(DESTDIR)/usr/share/lemon
	install -m 0664 tool/lempar.c $(DESTDIR)/usr/share/lemon/
	install -m 0775 lemon $(DESTDIR)/usr/bin

	# Remove *.la files per policy 3.9.1.0
#	find $(DESTDIR) -name \*.la | xargs rm -f

	sed -e 's/share/lib/' -e 's/tcl[^/]*\///g' \
	  $(DESTDIR)/usr/share/tcltk/tcl8.5/sqlite3/pkgIndex.tcl \
	  >$(DESTDIR)/usr/lib/sqlite3/pkgIndex.tcl

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_install --sourcedir=$(DESTDIR)
	dh_installman
	dh_installdocs
	dh_installchangelogs www/changes.html
	dh_strip --dbg-package=libsqlite3-0-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean configure binary-indep binary-arch binary
